Engine
Date: 2014-05-11

org.gcube.contentmanagement.lexicalmatcher.analysis.core

## Class Engine

- java.lang.Object
- - org.gcube.contentmanagement.lexicalmatcher.analysis.core.Engine

-     public class Engine
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.ArrayList<java.lang.String>` | `bestCategories`
    `java.util.ArrayList<java.lang.String>` | `bestColumns`
    `java.util.ArrayList<java.lang.Double>` | `bestScores`
    `java.lang.String` | `columnFilter`
    `java.util.HashMap<java.lang.String,CategoryScores>` | `scoresTable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Engine(LexicalEngineConfiguration Config, java.lang.String ColumnFilter, java.lang.String configPath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `calcLike(CategoryOrderedList col, java.lang.String unknownSeriesName, java.lang.String unknownSeriesColumn)`
    `void` | `calcLikeThread(CategoryOrderedList col, java.lang.String unknownSeriesName, java.lang.String unknownSeriesColumn, java.lang.String singletonString)`
    `SessionFactory` | `getDBSession()`
    `SessionFactory` | `getDBSession(LexicalEngineConfiguration externalConf)`
    `java.lang.String` | `getSingletonElement()`
    `java.util.ArrayList<SingleResult>` | `getSingletonMatches()`
    `void` | `resetEngine(LexicalEngineConfiguration Config, java.lang.String ColumnFilter, java.lang.String configPath)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bestCategories

          public java.util.ArrayList<java.lang.String> bestCategories

    - #### bestScores

          public java.util.ArrayList<java.lang.Double> bestScores

    - #### bestColumns

          public java.util.ArrayList<java.lang.String> bestColumns

    - #### scoresTable

          public java.util.HashMap<java.lang.String,CategoryScores> scoresTable

    - #### columnFilter

          public java.lang.String columnFilter

  - ### Constructor Detail

    - #### Engine

          public Engine(LexicalEngineConfiguration Config,
                java.lang.String ColumnFilter,
                java.lang.String configPath)

  - ### Method Detail

    - #### getSingletonMatches

          public java.util.ArrayList<SingleResult> getSingletonMatches()

    - #### getSingletonElement

          public java.lang.String getSingletonElement()

    - #### getDBSession

          public SessionFactory getDBSession()
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getDBSession

          public SessionFactory getDBSession(LexicalEngineConfiguration externalConf)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### resetEngine

          public void resetEngine(LexicalEngineConfiguration Config,
                         java.lang.String ColumnFilter,
                         java.lang.String configPath)

    - #### calcLike

          public void calcLike(CategoryOrderedList col,
                      java.lang.String unknownSeriesName,
                      java.lang.String unknownSeriesColumn)

    - #### calcLikeThread

          public void calcLikeThread(CategoryOrderedList col,
                            java.lang.String unknownSeriesName,
                            java.lang.String unknownSeriesColumn,
                            java.lang.String singletonString)